%define upstream_name    Sort-Versions
%define upstream_version 1.62

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

License:    GPL or Artistic
Group:      Development/Perl
Summary:    A perl 5 module for sorting of revision-like numbers
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Sort/%{upstream_name}-%{upstream_version}.tar.gz
Url:        http://www.cpan.org

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description 
Sort::Versions allows easy sorting of mixed non-numeric and
numeric strings, like the "version numbers" that many
shared library systems and revision control packages use.
This is quite useful if you are trying to deal with shared
libraries. It can also be applied to applications that
intersperse variable-width numeric fields within text.
Other applications can undoubtedly be found.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
CFLAGS="$RPM_OPT_FLAGS" echo | %__perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.620.0-3pclos2017
- rebuild against updates

